summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbootstrap.sh9
-rw-r--r--configure.ac8
2 files changed, 9 insertions, 8 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 6698f68b..4ca2b339 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -40,6 +40,15 @@ run_versioned() {
set -ex
+# We check for this here, because if pkg-config is not found in the
+# system, it's likely that the pkg.m4 macro file is also not present,
+# which will make PKG_PROG_PKG_CONFIG be undefined and the generated
+# configure file faulty.
+if ! pkg-config --version &>/dev/null; then
+ echo "pkg-config is required to bootstrap this program" &>/dev/null
+ exit 1
+fi
+
if [ "x$1" = "xam" ] ; then
run_versioned automake "$VERSION" -a -c --foreign
./config.status
diff --git a/configure.ac b/configure.ac
index 2b378c1b..11f98764 100644
--- a/configure.ac
+++ b/configure.ac
@@ -462,14 +462,6 @@ AC_SUBST(pulselocaledir)
#### pkg-config ####
-# Check for pkg-config manually first, as if its not installed the
-# PKG_PROG_PKG_CONFIG macro won't be defined.
-AC_CHECK_PROG(have_pkg_config, pkg-config, yes, no)
-
-if test x"$have_pkg_config" = "xno"; then
- AC_MSG_ERROR(pkg-config is required to install this program)
-fi
-
PKG_PROG_PKG_CONFIG
#### X11 (optional) ####